import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class SafeCounter extends HttpServlet {
    private int count = 0;
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/plain");
	PrintWriter out = res.getWriter();
	int local_count;
	synchronized (this) {
	    count++;
	    local_count = count;
	}
	out.println("count = "+local_count);
    }
}
